qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Keith Wall (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (QPID-6624) [Java Broker] If a port does not support the default protocol reply, it should not error but revert to sending the highest supported version
Date Wed, 30 Sep 2015 17:22:06 GMT

     [ https://issues.apache.org/jira/browse/QPID-6624?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Keith Wall resolved QPID-6624.
------------------------------
    Resolution: Fixed

> [Java Broker] If a port does not support the default protocol reply, it should not error
but revert to sending the highest supported version
> --------------------------------------------------------------------------------------------------------------------------------------------
>
>                 Key: QPID-6624
>                 URL: https://issues.apache.org/jira/browse/QPID-6624
>             Project: Qpid
>          Issue Type: Improvement
>            Reporter: Rob Godfrey
>            Assignee: Rob Godfrey
>             Fix For: qpid-java-6.0
>
>
> Currently a system property "qpid.broker_default_supported_protocol_version_reply" can
be used to override the default behaviour of replying with the highest supported AMQP version.
 
> If, for a given port, this protocol is not supported, then the port becomes in error.
> This behvaiour should be changed so that 1) the property becomes a context value rather
than a system property and 2) if the default reply is not supported then a warning is issued
on construction, and instead the default policy of returning the highest supported version
is used.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@qpid.apache.org
For additional commands, e-mail: dev-help@qpid.apache.org


Mime
View raw message